source ~/.profile

find ~/JEliza/svn/ -name "*.r???" -exec rm '{}' \;
find ~/JEliza/svn/ -name "*.mine" -exec rm '{}' \;
find ~/JEliza/svn/ -name "*.r??" -exec rm '{}' \;

rm bin/*.so*

chmod 0777 ./setup-src-for-mac.sh
./setup-src-for-mac.sh

uic ui/jeliza.ui > ui_jeliza.h
uic ui/changelog.ui > ui_changelog.h
uic ui/db_edit.ui > ui_db_edit.h
uic ui/help.ui > ui_help.h
uic ui/irc_mode.ui > ui_irc_mode.h
uic ui/options.ui > ui_options.h
uic ui/startup.ui > ui_startup.h
uic ui/ee.ui > ui_ee.h
uic ui/connect.ui > ui_connect.h
uic ui/view.ui > ui_view.h

moc -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++   -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. src/qtgui/JElizaQt.h -o moc_JElizaQt.cpp
moc -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++   -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. src/jeliza/kernel-main.h -o moc_kernel-main.cpp
moc -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++   -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. src/networking/communicate.h -o moc_communicate.cpp

g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -Iinclude/ms-agent/ -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. -o speak_linux.o src/speech/speak_linux.cpp

g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. -o jeliza.o src/jeliza/jeliza.cpp

g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. -o jelizamanager.o src/jeliza/jelizamanager.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. -o sentence.o src/jeliza/sentence.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. -o socketload.o src/networking/socketload.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. -o string_compare.o src/jeliza/string_compare.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. -o util.o src/jeliza/util.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I. -I../qt/QtUiTools -I../qt/QtCore -I../qt/QtCore -I../qt/QtGui -I../qt/QtGui -I../qt/QtXml -I../qt/QtXml -I../qt -I../python/Include/ -I../qt -I. -Isrc/jeliza -I. -I. -o wikipedia.o src/jeliza/wikipedia.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I../qt/include -I../qt/include/QtGui -I../qt/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I../python/Include/ -Iqt4-win/mkspecs/win32-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3 / -I. -Isrc/jeliza -I. -I. -o JElizaQT.o src/qtgui/JElizaQT.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I../qt/include -I../qt/include/QtGui -I../qt/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I../python/Include/ -Iqt4-win/mkspecs/win32-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3 / -I. -Isrc/jeliza -I. -I. -o moc_JElizaQt.o moc_JElizaQt.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I../qt/include -I../qt/include/QtGui -I../qt/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I../python/Include/ -Iqt4-win/mkspecs/win32-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3 / -I. -Isrc/jeliza -I. -I. -o moc_communicate.o moc_communicate.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I../qt/include -I../qt/include/QtGui -I../qt/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I../python/Include/ -Iqt4-win/mkspecs/win32-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3 / -I. -Isrc/jeliza -I. -I. -o communicate.o src/networking/communicate.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I../qt/include -I../qt/include/QtGui -I../qt/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I../python/Include/ -Iqt4-win/mkspecs/win32-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3 / -I. -Isrc/jeliza -I. -I. -o kernel-main.o src/jeliza/kernel-main.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -I../qt/include -I../qt/include/QtGui -I../qt/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I../python/Include/ -Iqt4-win/mkspecs/win32-g++ -Ilib/asio/ -march=nocona -O1 -O2 -O3 / -I. -Isrc/jeliza -I. -I. -o moc_kernel-main.o moc_kernel-main.cpp
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -o JEliza speak_linux.o sentence.o socketload.o util.o JElizaQT.o moc_JElizaQt.o communicate.o  moc_communicate.o  -L. -L../.. -L../qt/lib/ -lm libpython2.5.a ../qt/lib/libQtXml.a ../qt/lib/libQtGui.a ../qt/lib/libQtCore.a  -Iinclude/pthread-win/ -lm -lpython2.5  -framework Carbon -framework AppKit -lQtCore -lz -lm -liconv -framework ApplicationServices
g++-4 -Ilib/asio/ -march=nocona -O1 -O2 -O3  -o bin/kernel jeliza.o jelizamanager.o sentence.o socketload.o util.o wikipedia.o kernel-main.o moc_kernel-main.o communicate.o moc_communicate.o -L. -L../.. -L../qt/lib/ -lm libpython2.5.a ../qt/lib/libQtXml.a ../qt/lib/libQtGui.a ../qt/lib/libQtCore.a  -Iinclude/pthread-win/ -lm -lpython2.5  -framework Carbon -framework AppKit -lQtCore -lz -lm -liconv -framework ApplicationServices
