export V=$(cat .version)

rm -rf ../win-compile
mkdir -p ../win-compile 2>&1 >/dev/null


export DIR=$(pwd | sed "s@$(dirname $(pwd))@@g")

for x in $(ls); do
	rm ../win-compile/${x}
	ln -s ../${DIR}/${x} ../win-compile/
done

cd ../win-compile

# mv ../qt4-win/ .

export DEFINES="-D_WIN32_WINNT=0x0500"

uic ../gui-qt/ui/jeliza.ui > ui_jeliza.h
uic ../gui-qt/ui/changelog.ui > ui_changelog.h
uic ../gui-qt/ui/db_edit.ui > ui_db_edit.h
uic ../gui-qt/ui/help.ui > ui_help.h
uic ../gui-qt/ui/irc_mode.ui > ui_irc_mode.h
uic ../gui-qt/ui/options.ui > ui_options.h
uic ../gui-qt/ui/startup.ui > ui_startup.h
uic ../gui-qt/ui/ee.ui > ui_ee.h
uic ../gui-qt/ui/connect.ui > ui_connect.h
uic ../gui-qt/ui/view.ui > ui_view.h

/usr/bin/moc-qt4 -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. ../gui-qt/src/qtgui/JElizaQt.h -o ../gui-qt/moc_JElizaQt.cpp
/usr/bin/moc-qt4 -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. src/networking/communicate.h -o ../gui-qt/moc_communicate.cpp

i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -I../../qt4-win/include -I../../qt4-win/include/QtGui -I../../qt4-win/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -Iinclude/python-win/Include/ -Iqt4-win/mkspecs/win32-g++/ -I. -Isrc/jeliza -I. -I. -o JElizaQT.o ../gui-qt/src/qtgui/JElizaQt.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -I../../qt4-win/include -I../../qt4-win/include/QtGui -I../../qt4-win/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -Iinclude/python-win/Include/ -Iqt4-win/mkspecs/win32-g++/ -I. -Isrc/jeliza -I. -I. -o moc_JElizaQt.o ../gui-qt/moc_JElizaQt.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -I../../qt4-win/include -I../../qt4-win/include/QtGui -I../../qt4-win/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -Iinclude/python-win/Include/ -Iqt4-win/mkspecs/win32-g++/ -I. -Isrc/jeliza -I. -I. -o moc_communicate.o ../gui-qt/moc_communicate.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -I../../qt4-win/include -I../../qt4-win/include/QtGui -I../../qt4-win/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -Iinclude/python-win/Include/ -Iqt4-win/mkspecs/win32-g++/ -I. -Isrc/jeliza -I. -I. -o communicate.o src/networking/communicate.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -I../../qt4-win/include -I../../qt4-win/include/QtGui -I../../qt4-win/include/QtCore -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -Iinclude/python-win/Include/ -Iqt4-win/mkspecs/win32-g++/ -I. -Isrc/jeliza -I. -I. -o kernel-main.o src/jeliza/kernel-main.cpp

i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -Iinclude/ms-agent/ -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o speak_win.o ../gui-qt/src/speech/speak_win.cpp

i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o jeliza.o src/jeliza/jeliza.cpp

i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -Iinclude/ms-agent/ -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o cMMControl.o ../gui-qt/src/windows/msagent/cMMControl.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -Iinclude/ms-agent/ -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o cAgentSink.o ../gui-qt/src/windows/msagent/cAgentSink.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -Iinclude/ms-agent/ -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o cAgentCommands.o ../gui-qt/src/windows/msagent/cAgentCommands.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -Iinclude/ms-agent/ -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o cAgent.o ../gui-qt/src/windows/msagent/cAgent.cpp

i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o jelizamanager.o src/jeliza/jelizamanager.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o sentence.o src/jeliza/sentence.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o socketload.o src/networking/socketload.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o util.o src/jeliza/util.cpp
i586-mingw32msvc-g++ -Iinclude/ -Ilib/asio/ -O1 -O2 -O3 -c -pipe  -g -D_REENTRANT -Wall -W  -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -Iinclude/python-win/Include/ -I/usr/include/qt4 -I. -Isrc/jeliza -I. -I. -o wikipedia.o src/jeliza/wikipedia.cpp

echo Compiling JElizaQt
i586-mingw32msvc-g++ -Iinclude/ -static -Ilib/asio/ -O1 -O2 -O3 -o JElizaQT.exe speak_win.o sentence.o socketload.o util.o JElizaQT.o moc_JElizaQt.o  cMMControl.o cAgentSink.o cAgentCommands.o cAgent.o moc_communicate.o communicate.o  -L. -L../.. -L../../qt4-win/lib/ -lm libpython25-win.a -lQtXml4 -lQtGui4 -lQtCore4 -lQtUiTools -Iinclude/pthread-win/ -lpthread-win -mthreads -lws2_32 -lmswsock -lwsock32 -L. -lole32 -loleaut32 -lwinmm -luuid -L/usr/lib/gcc/i586-mingw32msvc/4.2.1-sjlj -lstdc++
echo Compiling Kernel
i586-mingw32msvc-g++ -Iinclude/ -static -Ilib/asio/ -O1 -O2 -O3 -o kernel.exe jeliza.o jelizamanager.o sentence.o socketload.o util.o wikipedia.o kernel-main.o cMMControl.o cAgentSink.o cAgentCommands.o cAgent.o moc_communicate.o communicate.o  -L. -L../.. -L../../qt4-win/lib/ -lm libpython25-win.a -lQtXml4 -lQtGui4 -lQtCore4 -lQtUiTools -Iinclude/pthread-win/ -lpthread-win -mthreads -lws2_32 -lmswsock -lwsock32 -L. -lole32 -loleaut32 -lwinmm -luuid -L/usr/lib/gcc/i586-mingw32msvc/4.2.1-sjlj -lstdc++
echo Ok




i586-mingw32msvc-strip JEliza*.exe
i586-mingw32msvc-strip kernel.exe

mkdir ../dist
rm -rf ../dist/windows
mkdir ../dist/windows

cp changelog.txt jelizaqt kernel gpl.txt logo.png ../dist/windows
# cp -r ../trunk/jelizapy ../trunk/lib ../trunk/wsh ../trunk/modules ../trunk/ui ../trunk/temp ../trunk/chat ../trunk/lang_de ../trunk/lang_en ../dist/windows
cp -r ../trunk/modules ../trunk/temp ../trunk/lang_de ../trunk/lang_en ../dist/windows
rm -rf ../dist/windows/lib/asio
rm -rf ../dist/windows/bin
#cp -r ../win-files/* ../dist/windows

rm -rf ../dist/windows/lang_de/wsh

mv JEliza*.exe ../dist/windows
mv kernel.exe ../dist/windows

find ../dist/windows -name "*.pyc" | xargs rm -f
find ../dist/windows -name ".svn" | xargs rm -fr
find ../dist/windows -name "*.exe" | xargs upx -9
find ../dist/windows -name "*.dll" | xargs upx -9
rm ../dist/windows/{jelizaqt,kernel}

cd ../dist/
rm -r JEliza
mv windows JEliza
rm jeliza_${V}_win.zip
zip -r jeliza_${V}_win.zip JEliza
