CONFIG += qt thread
CONFIG += uitools

QT += network

unix {
	CONFIG += debug

	INCLUDEPATH += /usr/include/python2.5/
	INCLUDEPATH += /usr/include/qt4/
	LIBS += -lm -lssl
	TARGET = bin/jelizaqt

	SOURCES += src/speech/speak_linux.cpp

	QMAKE_CXXFLAGS += -g -O1 -O2 -O3 -Ilib/asio/
	QMAKE_LFLAGS += -g -O1 -O2 -O3 -Ilib/asio/ -static-libgcc -L. -lutil
}


TEMPLATE = app
DEPENDPATH += . \
              include \
              src/gtkgui \
              src/jeliza \
              src/qtgui \
              src/network \
              src/network/lib \
              src/jeliza/modules
INCLUDEPATH += . \
              src/network \
              src/network/lib \
		src/jeliza

MOCSRC += src/qtgui/JElizaQt.cpp
MOCSRC += src/networking/communicate.cpp
MOCSRC += src/networking/socketload.cpp

FORMS += ui/jeliza.ui
FORMS += ui/options.ui
FORMS += ui/db_edit.ui
FORMS += ui/help.ui
FORMS += ui/changelog.ui
FORMS += ui/startup.ui
FORMS += ui/ee.ui
FORMS += ui/connect.ui
FORMS += ui/view.ui

# Input
HEADERS += include/abstract.h \
           include/bitset.h \
           include/boolobject.h \
           include/bufferobject.h \
           include/cellobject.h \
           include/ceval.h \
           include/classobject.h \
           include/cobject.h \
           include/codecs.h \
           include/compile.h \
           include/complexobject.h \
           include/cStringIO.h \
           include/datetime.h \
           include/descrobject.h \
           include/dictobject.h \
           include/enumobject.h \
           include/errcode.h \
           include/eval.h \
           include/fileobject.h \
           include/floatobject.h \
           include/frameobject.h \
           include/funcobject.h \
           include/genobject.h \
           include/graminit.h \
           include/grammar.h \
           include/import.h \
           include/intobject.h \
           include/intrcheck.h \
           include/iterobject.h \
           include/listobject.h \
           include/longintrepr.h \
           include/longobject.h \
           include/marshal.h \
           include/metagrammar.h \
           include/methodobject.h \
           include/modsupport.h \
           include/moduleobject.h \
           include/node.h \
           include/object.h \
           include/objimpl.h \
           include/opcode.h \
           include/osdefs.h \
           include/parsetok.h \
           include/patchlevel.h \
           include/pgen.h \
           include/pgenheaders.h \
           include/py_curses.h \
           include/pyconfig.h \
           include/pydebug.h \
           include/pyerrors.h \
           include/pyfpe.h \
           include/pygetopt.h \
           include/pymactoolbox.h \
           include/pymem.h \
           include/pyport.h \
           include/pystate.h \
           include/pystrtod.h \
           include/Python-ast.h \
           include/Python.h \
           include/pythonrun.h \
           include/pythread.h \
           include/rangeobject.h \
           include/setobject.h \
           include/sliceobject.h \
           include/stringobject.h \
           include/structmember.h \
           include/structseq.h \
           include/symtable.h \
           include/sysmodule.h \
           include/timefuncs.h \
           include/token.h \
           include/traceback.h \
           include/tupleobject.h \
           include/ucnhash.h \
           include/unicodeobject.h \
           include/weakrefobject.h \
#           src/jeliza/defs.h \
#           src/jeliza/jeliza-namespace.h \
#           src/jeliza/jeliza.h \
	   src/qtgui/JElizaQt.h \
           src/networking/communicate.h \
   	   src/networking/socketload.h



SOURCES += src/jeliza/sentence.cpp \
           src/networking/socketload.cpp \
           src/jeliza/util.cpp \
           src/networking/communicate.cpp \
           src/qtgui/JElizaQt.cpp
